VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_PredeclaredId = False
Attribute VB_Creatable = True
Attribute VB_Exposed = True
Attribute VB_GlobalNameSpace = True
Attribute VB_Name = "mpxResource"
' MPX-Resource-X5 class
' =====================

' Object name = mpxResource

' Single Resource object class file
' When a resource is added to the Resources collection, a new Resource object is created

Option Explicit
Dim i_ResourceID As Long
Dim s_ResourceName As String
Dim s_ResourceInitials As String
Dim s_ResourceNotes As String ' Notes (unused by MindManager)

Private Sub Class_Initialize()
    s_ResourceName = ""
    s_ResourceNotes = ""
End Sub

Private Sub Class_Terminate()
	s_ResourceName = ""
End Sub

Property Get ID() As Long
	ID = i_ResourceID
End Property

Property Let ID(ByVal i_value As Long)
	i_ResourceID = i_value
End Property

Property Get Name() As String
	Name = s_ResourceName
End Property

Property Let Name(ByVal s_Value As String)
	s_ResourceName = s_Value
End Property

Property Get Initials() As String
	Initials = s_ResourceInitials
End Property

Property Let Initials(ByVal s_Value As String)
	s_ResourceInitials = s_Value
End Property

Property Get Notes() As String
	Notes = s_ResourceNotes
End Property

Property Let Notes(ByVal s_Value As String)
	s_ResourceNotes = s_Value
End Property
